LastFire = 0

function onPickup(playerid)
	_PlayerSetHealth(playerid, 50)
end

function onPrimaryAttack()
	if _CurTime() >= LastFire+getPrimaryShotDelay() and _EntGetWaterLevel(Owner) < 3 then
		LastFire = _CurTime()
		_RunString("DoCannon("..Owner..")")
	end
end

function getPrimaryShotDelay() return 3 end
function getPrimaryIsAutomatic() return true end
function getBulletSpread() return vector3(0.01, 0.01, 0.01) end
function getViewKick() return vector3(0.5, 0.0, 0.0) end
function getViewKickRandom() return vector3(0.5, 0.5, 0.2) end
function getNumShotsPrimary() return 1 end
function getPrimaryAmmoType() return "pistol" end
function getMaxClipPrimary()return 9999 end
function getDefClipPrimary()return 9999 end
function getTracerFreqPrimary() return 2 end
function getSecondaryIsAutomatic() return false end
function getBulletSpreadSecondary() return vector3(0.001, 0.001, 0.001) end
function getViewKickSecondary() return vector3(0.5, 0.0, 0.0) end
function getViewKickRandomSecondary() return vector3(0.5, 0.5, 0.2) end
function getNumShotsSecondary() return 1 end
function getSecondaryAmmoType() return "pistol" end
function getMaxClipSecondary() return -1 end
function getDefClipSecondary() return 0 end
function getViewModel() return "models/weapons/v_rpg.mdl" end
function getWorldModel() return "models/weapons/w_rocket_launcher.mdl" end
function getClassName() return "missile_launcher" end
function getHUDMaterial() return "gmod/SWEP/default" end
function getDeathIcon() return "d_rpg" end
function getWeaponSwapHands() return false end
function getWeaponFOV() return 70 end
function getWeaponSlot() return 5 end
function getWeaponSlotPos() return 2 end
function getFiresUnderwater() return false end
function getReloadsSingly() return false end
function getAnimPrefix() return "rpg" end
function getPrintName() return "Missile" end
function getPrimaryScriptOverride() return 2 end
function getSecondaryScriptOverride() return 3 end
